NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Preferences::PartDrafting Class Reference

Represents the set of drafting preferences applicable to part
To obtain an instance of this class, refer to NXOpen::Preferences::PartPreferences

Created in NX3.0.0. More...

Public Types

enum  BreakLineStyle {
  BreakLineStyleExisting, BreakLineStyleSimple, BreakLineStyleStraight, BreakLineStyleSawtooth,
  BreakLineStyleLongBreak, BreakLineStyleTubular, BreakLineStyleSolidTubular, BreakLineStyleSolidRod,
  BreakLineStyleJigsaw, BreakLineStyleWood
}
 Describes the available break line style. More...
 
enum  FontType {
  FontTypeOriginal, FontTypeInvisible, FontTypeSolid, FontTypeDashed,
  FontTypePhantom, FontTypeCenterline, FontTypeDotted, FontTypeLongDashed,
  FontTypeDottedDashed
}
 Describes the available font types. More...
 
enum  UpdateViewWithoutLwDataOption { UpdateViewWithoutLwDataOptionIgnore, UpdateViewWithoutLwDataOptionNotify, UpdateViewWithoutLwDataOptionDoNotNotify, UpdateViewWithoutLwDataOptionGenerate }
 Describes the update view without light weight data options. More...
 
enum  ViewStyleType { ViewStyleTypeBorder, ViewStyleTypeWireframe, ViewStyleTypeHiddenWireframe, ViewStyleTypeShaded }
 Describes the available view style types for preview. More...
 
enum  WidthType {
  WidthTypeOriginal, WidthTypeThin, WidthTypeNormal, WidthTypeThick,
  WidthTypeThicknessOne = 5, WidthTypeThicknessTwo, WidthTypeThicknessThree, WidthTypeThicknessFour,
  WidthTypeThicknessFive, WidthTypeThicknessSix, WidthTypeThicknessSeven, WidthTypeThicknessEight,
  WidthTypeThicknessNine
}
 Describes the available width types. More...
 

Public Member Functions

NXOpen::NXColorActiveViewColor ()
 Returns the drafting active view color. More...
 
bool AssociativeAlignment ()
 Returns the flag indicating whether to associatively align the view when placing it
Created in NX8.5.0. More...
 
int BorderColor ()
 Returns the drafting view border color. More...
 
double BreakLineAmplitude ()
 Returns the break line amplitude. More...
 
NXOpen::NXColorBreakLineColor ()
 Returns the break line color. More...
 
double BreakLineExtension ()
 Returns
Created in NX7.5.0. More...
 
double BreakLineGap ()
 Returns the break line gap. More...
 
bool BreakLinesVisibility ()
 Returns the break lines visibility. More...
 
NXOpen::Preferences::PartDrafting::BreakLineStyle BreakLineType ()
 Returns the break line type. More...
 
int BreakLineWidth ()
 Returns the break line width. More...
 
int Color ()
 Returns the color of the retained NXOpen::Annotations::Annotation objects. More...
 
bool CustomSymbolSmashToSketch ()
 Returns the custom symbol smash behavior. More...
 
bool DelayUpdateOnCreation ()
 Returns the flag indicating whether the newly created views should update immediately even when the view update is delayed. More...
 
bool DelayViewUpdate ()
 Returns the flag indicating whether to delay update of the drafting views during system initiated drawing updates
Created in NX3.0.0. More...
 
NXString Delimiter ()
 Returns the delimiter
Created in NX8.0.0. More...
 
bool DisplayBorders ()
 Returns the flag indicating whether to display borders around drafting views, when selected
Created in NX3.0.0. More...
 
bool EnableSmoothEdgesForLWView ()
 Returns the flat indicating whether the smart lightweight views should show the smooth edges or render them as normal curves
Created in NX8.5.0. More...
 
NXOpen::Preferences::PartDrafting::FontType Font ()
 Returns the line font of the retained NXOpen::Annotations::Annotation objects
Created in NX3.0.0. More...
 
int FrameBarPrecision ()
 Returns the frame bar precision. More...
 
int FrameBarTicDirection ()
 Returns the frame bar tic direction. More...
 
NXString InitialSecondaryNumber ()
 Returns the initial secondary number
Created in NX8.0.0. More...
 
NXString InitialSheetNumber ()
 Returns the initial sheet number
Created in NX8.0.0. More...
 
bool LineAntialiasing ()
 Returns the flag indicating whether to display drawing using line antialiasing. More...
 
int MinimumComponentsForLargeAssemblyOption ()
 Returns the minimum number of components for large assembly option to get enabled
Created in NX8.5.0. More...
 
bool PropagateBreakLines ()
 Returns the propagation of view break. More...
 
bool RetainAnnotations ()
 Returns the flag indicating whether to retain NXOpen::Annotations::Annotation objects when the geometry they are attached to is deleted. More...
 
void SetActiveViewColor (NXOpen::NXColor *borderColor)
 Sets the drafting active view color. More...
 
void SetAssociativeAlignment (bool associativeAlignment)
 Sets the flag indicating whether to associatively align the view when placing it
Created in NX8.5.0. More...
 
void SetBorderColor (int borderColor)
 Sets the drafting view border color. More...
 
void SetBreakLineAmplitude (double amplitude)
 Sets the break line amplitude. More...
 
void SetBreakLineColor (NXOpen::NXColor *color)
 Sets the break line color. More...
 
void SetBreakLineExtension (double extension)
 Sets
Created in NX7.5.0. More...
 
void SetBreakLineGap (double gap)
 Sets the break line gap. More...
 
void SetBreakLinesVisibility (bool isVisible)
 Sets the break lines visibility. More...
 
void SetBreakLineType (NXOpen::Preferences::PartDrafting::BreakLineStyle lineType)
 Sets the break line type. More...
 
void SetBreakLineWidth (int width)
 Sets the break line width. More...
 
void SetColor (int color)
 Sets the color of the retained NXOpen::Annotations::Annotation objects. More...
 
void SetCustomSymbolSmashToSketch (bool isSmashToSketch)
 Sets the custom symbol smash behavior. More...
 
void SetDelayUpdateOnCreation (bool isDelayUpdateOnCreationOn)
 Sets the flag indicating whether the newly created views should update immediately even when the view update is delayed. More...
 
void SetDelayViewUpdate (bool isDelayViewUpdateOn)
 Sets the flag indicating whether to delay update of the drafting views during system initiated drawing updates
Created in NX3.0.0. More...
 
void SetDelimiter (const NXString &delimiter)
 Sets the delimiter
Created in NX8.0.0. More...
 
void SetDelimiter (const char *delimiter)
 Sets the delimiter
Created in NX8.0.0. More...
 
void SetDisplayBorders (bool displayBorders)
 Sets the flag indicating whether to display borders around drafting views, when selected
Created in NX3.0.0. More...
 
void SetEnableSmoothEdgesForLWView (bool enableSmoothEdges)
 Sets the flat indicating whether the smart lightweight views should show the smooth edges or render them as normal curves
Created in NX8.5.0. More...
 
void SetFont (NXOpen::Preferences::PartDrafting::FontType font)
 Sets the line font of the retained NXOpen::Annotations::Annotation objects
Created in NX3.0.0. More...
 
void SetFrameBarPrecision (int precision)
 Sets the frame bar precision. More...
 
void SetFrameBarTicDirection (int ticDirection)
 Sets the frame bar tic direction. More...
 
void SetInitialSecondaryNumber (const NXString &initialSecondaryNumber)
 Sets the initial secondary number
Created in NX8.0.0. More...
 
void SetInitialSecondaryNumber (const char *initialSecondaryNumber)
 Sets the initial secondary number
Created in NX8.0.0. More...
 
void SetInitialSheetNumber (const NXString &initialSheetNumber)
 Sets the initial sheet number
Created in NX8.0.0. More...
 
void SetInitialSheetNumber (const char *initialSheetNumber)
 Sets the initial sheet number
Created in NX8.0.0. More...
 
void SetLineAntialiasing (bool lineAntialiasing)
 Sets the flag indicating whether to display drawing using line antialiasing. More...
 
void SetMinimumComponentsForLargeAssemblyOption (int minComponents)
 Sets the minimum number of components for large assembly option to get enabled
Created in NX8.5.0. More...
 
void SetPropagateBreakLines (bool doesPropagate)
 Sets the propagation of view break. More...
 
void SetRetainAnnotations (bool retainAnnotations)
 Sets the flag indicating whether to retain NXOpen::Annotations::Annotation objects when the geometry they are attached to is deleted. More...
 
void SetShowFacetEdges (bool showFacetEdges)
 Sets the flag indicating whether to display facet edges in shaded member views. More...
 
void SetTranslucency (bool translucency)
 Sets the flag indicating whether to display solids in shaded member views with translucency. More...
 
void SetUpdateViewWithoutLwData (NXOpen::Preferences::PartDrafting::UpdateViewWithoutLwDataOption updateViewWithoutLWDataOption)
 Sets the option specifying the action when missing, incomplete or invalid lightweight bodies are found during view create or update
Created in NX8.5.0. More...
 
void SetVersionObjects (bool versonObjects)
 Sets the drafting version objects setting when updating drafting objects and member views
Created in NX4.0.0. More...
 
void SetViewStyle (NXOpen::Preferences::PartDrafting::ViewStyleType viewStyle)
 Sets the drafting view style type for preview when placing the view
Created in NX3.0.0. More...
 
void SetViewTracking (bool viewTracking)
 Sets the flag indicating whether to track a drafting view during preview when placing the view. More...
 
void SetWidth (NXOpen::Preferences::PartDrafting::WidthType width)
 Sets the line width of the retained NXOpen::Annotations::Annotation objects
Created in NX3.0.0. More...
 
bool ShowFacetEdges ()
 Returns the flag indicating whether to display facet edges in shaded member views. More...
 
tag_t Tag () const
 Returns the tag of this object. More...
 
bool Translucency ()
 Returns the flag indicating whether to display solids in shaded member views with translucency. More...
 
NXOpen::Preferences::PartDrafting::UpdateViewWithoutLwDataOption UpdateViewWithoutLwData ()
 Returns the option specifying the action when missing, incomplete or invalid lightweight bodies are found during view create or update
Created in NX8.5.0. More...
 
bool VersionObjects ()
 Returns the drafting version objects setting when updating drafting objects and member views
Created in NX4.0.0. More...
 
NXOpen::Preferences::PartDrafting::ViewStyleType ViewStyle ()
 Returns the drafting view style type for preview when placing the view
Created in NX3.0.0. More...
 
bool ViewTracking ()
 Returns the flag indicating whether to track a drafting view during preview when placing the view. More...
 
NXOpen::Preferences::PartDrafting::WidthType Width ()
 Returns the line width of the retained NXOpen::Annotations::Annotation objects
Created in NX3.0.0. More...
 

Detailed Description

Represents the set of drafting preferences applicable to part
To obtain an instance of this class, refer to NXOpen::Preferences::PartPreferences

Created in NX3.0.0.


Member Enumeration Documentation

Describes the available break line style.

Enumerator
BreakLineStyleExisting 

Existing Curve.

BreakLineStyleSimple 

Simple.

BreakLineStyleStraight 

Straight.

BreakLineStyleSawtooth 

Sawtooth.

BreakLineStyleLongBreak 

LongBreak.

BreakLineStyleTubular 

Tubular.

BreakLineStyleSolidTubular 

Solid Tubular.

BreakLineStyleSolidRod 

Solid Rod.

BreakLineStyleJigsaw 

Jigsaw.

BreakLineStyleWood 

Wood.

Describes the available font types.

Enumerator
FontTypeOriginal 

Original.

FontTypeInvisible 

Invisible.

FontTypeSolid 

Solid.

FontTypeDashed 

Dashed.

FontTypePhantom 

Phantom.

FontTypeCenterline 

CenterLine.

FontTypeDotted 

Dotted.

FontTypeLongDashed 

Long Dashed.

FontTypeDottedDashed 

Dotted Dashed.

Describes the update view without light weight data options.

Enumerator
UpdateViewWithoutLwDataOptionIgnore 

Ignore.

UpdateViewWithoutLwDataOptionNotify 

Notify.

UpdateViewWithoutLwDataOptionDoNotNotify 

Do Not Notify.

UpdateViewWithoutLwDataOptionGenerate 

Generate.

Describes the available view style types for preview.

Enumerator
ViewStyleTypeBorder 

Border.

ViewStyleTypeWireframe 

Wireframe.

ViewStyleTypeHiddenWireframe 

Hidden Wireframe.

ViewStyleTypeShaded 

Shaded.

Describes the available width types.

Enumerator
WidthTypeOriginal 

Original.

WidthTypeThin 

Thin.

WidthTypeNormal 

Normal.

WidthTypeThick 

Thick.

WidthTypeThicknessOne 

Width One.

WidthTypeThicknessTwo 

Width Two.

WidthTypeThicknessThree 

Width Three.

WidthTypeThicknessFour 

Width Four.

WidthTypeThicknessFive 

Width Five.

WidthTypeThicknessSix 

Width Six.

WidthTypeThicknessSeven 

Width Seven.

WidthTypeThicknessEight 

Width Eight.

WidthTypeThicknessNine 

Width Nine.

Member Function Documentation

NXOpen::NXColor* NXOpen::Preferences::PartDrafting::ActiveViewColor ( )

Returns the drafting active view color.


Created in NX6.0.0.

License requirements : None

bool NXOpen::Preferences::PartDrafting::AssociativeAlignment ( )

Returns the flag indicating whether to associatively align the view when placing it
Created in NX8.5.0.



License requirements : None

int NXOpen::Preferences::PartDrafting::BorderColor ( )

Returns the drafting view border color.

The value should be between 1 and 216.
Created in NX3.0.0.

License requirements : None

double NXOpen::Preferences::PartDrafting::BreakLineAmplitude ( )

Returns the break line amplitude.


Created in NX7.5.0.

License requirements : None

NXOpen::NXColor* NXOpen::Preferences::PartDrafting::BreakLineColor ( )

Returns the break line color.


Created in NX7.5.0.

License requirements : None

double NXOpen::Preferences::PartDrafting::BreakLineExtension ( )

Returns
Created in NX7.5.0.



License requirements : None

double NXOpen::Preferences::PartDrafting::BreakLineGap ( )

Returns the break line gap.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Preferences::PartDrafting::BreakLinesVisibility ( )

Returns the break lines visibility.


Created in NX8.0.0.

License requirements : None

NXOpen::Preferences::PartDrafting::BreakLineStyle NXOpen::Preferences::PartDrafting::BreakLineType ( )

Returns the break line type.


Created in NX7.5.0.

License requirements : None

int NXOpen::Preferences::PartDrafting::BreakLineWidth ( )

Returns the break line width.


Created in NX7.5.0.

License requirements : None

int NXOpen::Preferences::PartDrafting::Color ( )

Returns the color of the retained NXOpen::Annotations::Annotation objects.

The value should be between 1 and 216.
Created in NX3.0.0.

License requirements : None

bool NXOpen::Preferences::PartDrafting::CustomSymbolSmashToSketch ( )

Returns the custom symbol smash behavior.


Created in NX8.5.0.

License requirements : None

bool NXOpen::Preferences::PartDrafting::DelayUpdateOnCreation ( )

Returns the flag indicating whether the newly created views should update immediately even when the view update is delayed.


Created in NX3.0.0.

License requirements : None

bool NXOpen::Preferences::PartDrafting::DelayViewUpdate ( )

Returns the flag indicating whether to delay update of the drafting views during system initiated drawing updates
Created in NX3.0.0.



License requirements : None

NXString NXOpen::Preferences::PartDrafting::Delimiter ( )

Returns the delimiter
Created in NX8.0.0.



License requirements : None

bool NXOpen::Preferences::PartDrafting::DisplayBorders ( )

Returns the flag indicating whether to display borders around drafting views, when selected
Created in NX3.0.0.



License requirements : None

bool NXOpen::Preferences::PartDrafting::EnableSmoothEdgesForLWView ( )

Returns the flat indicating whether the smart lightweight views should show the smooth edges or render them as normal curves
Created in NX8.5.0.



License requirements : None

NXOpen::Preferences::PartDrafting::FontType NXOpen::Preferences::PartDrafting::Font ( )

Returns the line font of the retained NXOpen::Annotations::Annotation objects
Created in NX3.0.0.



License requirements : None

int NXOpen::Preferences::PartDrafting::FrameBarPrecision ( )

Returns the frame bar precision.


Created in NX8.0.0.

License requirements : None

int NXOpen::Preferences::PartDrafting::FrameBarTicDirection ( )

Returns the frame bar tic direction.


Created in NX8.0.0.

License requirements : None

NXString NXOpen::Preferences::PartDrafting::InitialSecondaryNumber ( )

Returns the initial secondary number
Created in NX8.0.0.



License requirements : None

NXString NXOpen::Preferences::PartDrafting::InitialSheetNumber ( )

Returns the initial sheet number
Created in NX8.0.0.



License requirements : None

bool NXOpen::Preferences::PartDrafting::LineAntialiasing ( )

Returns the flag indicating whether to display drawing using line antialiasing.


Created in NX5.0.1.

License requirements : None

int NXOpen::Preferences::PartDrafting::MinimumComponentsForLargeAssemblyOption ( )

Returns the minimum number of components for large assembly option to get enabled
Created in NX8.5.0.



License requirements : None

bool NXOpen::Preferences::PartDrafting::PropagateBreakLines ( )

Returns the propagation of view break.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Preferences::PartDrafting::RetainAnnotations ( )

Returns the flag indicating whether to retain NXOpen::Annotations::Annotation objects when the geometry they are attached to is deleted.

When false, the NXOpen::Annotations::Annotation objects get deleted with the geometry.
Created in NX3.0.0.

License requirements : None

void NXOpen::Preferences::PartDrafting::SetActiveViewColor ( NXOpen::NXColor borderColor)

Sets the drafting active view color.


Created in NX6.0.0.

License requirements : None

Parameters
borderColorborder color
void NXOpen::Preferences::PartDrafting::SetAssociativeAlignment ( bool  associativeAlignment)

Sets the flag indicating whether to associatively align the view when placing it
Created in NX8.5.0.



License requirements : None

Parameters
associativeAlignmentassociativealignment
void NXOpen::Preferences::PartDrafting::SetBorderColor ( int  borderColor)

Sets the drafting view border color.

The value should be between 1 and 216.
Created in NX3.0.0.

License requirements : None

Parameters
borderColorborder color
void NXOpen::Preferences::PartDrafting::SetBreakLineAmplitude ( double  amplitude)

Sets the break line amplitude.


Created in NX7.5.0.

License requirements : None

Parameters
amplitudeamplitude
void NXOpen::Preferences::PartDrafting::SetBreakLineColor ( NXOpen::NXColor color)

Sets the break line color.


Created in NX7.5.0.

License requirements : None

Parameters
colorcolor
void NXOpen::Preferences::PartDrafting::SetBreakLineExtension ( double  extension)

Sets
Created in NX7.5.0.



License requirements : None

Parameters
extensionextension
void NXOpen::Preferences::PartDrafting::SetBreakLineGap ( double  gap)

Sets the break line gap.


Created in NX7.5.0.

License requirements : None

Parameters
gapgap
void NXOpen::Preferences::PartDrafting::SetBreakLinesVisibility ( bool  isVisible)

Sets the break lines visibility.


Created in NX8.0.0.

License requirements : None

Parameters
isVisibleisvisible
void NXOpen::Preferences::PartDrafting::SetBreakLineType ( NXOpen::Preferences::PartDrafting::BreakLineStyle  lineType)

Sets the break line type.


Created in NX7.5.0.

License requirements : None

Parameters
lineTypeline type
void NXOpen::Preferences::PartDrafting::SetBreakLineWidth ( int  width)

Sets the break line width.


Created in NX7.5.0.

License requirements : None

Parameters
widthwidth
void NXOpen::Preferences::PartDrafting::SetColor ( int  color)

Sets the color of the retained NXOpen::Annotations::Annotation objects.

The value should be between 1 and 216.
Created in NX3.0.0.

License requirements : None

Parameters
colorcolor
void NXOpen::Preferences::PartDrafting::SetCustomSymbolSmashToSketch ( bool  isSmashToSketch)

Sets the custom symbol smash behavior.


Created in NX8.5.0.

License requirements : nx_layout ("NX Layout")

Parameters
isSmashToSketchissmashtosketch
void NXOpen::Preferences::PartDrafting::SetDelayUpdateOnCreation ( bool  isDelayUpdateOnCreationOn)

Sets the flag indicating whether the newly created views should update immediately even when the view update is delayed.


Created in NX3.0.0.

License requirements : None

Parameters
isDelayUpdateOnCreationOnisdelayupdateoncreationon
void NXOpen::Preferences::PartDrafting::SetDelayViewUpdate ( bool  isDelayViewUpdateOn)

Sets the flag indicating whether to delay update of the drafting views during system initiated drawing updates
Created in NX3.0.0.



License requirements : None

Parameters
isDelayViewUpdateOnisdelayviewupdateon
void NXOpen::Preferences::PartDrafting::SetDelimiter ( const NXString delimiter)

Sets the delimiter
Created in NX8.0.0.



License requirements : None

Parameters
delimiterdelimiter
void NXOpen::Preferences::PartDrafting::SetDelimiter ( const char *  delimiter)

Sets the delimiter
Created in NX8.0.0.



License requirements : None

Parameters
delimiterdelimiter
void NXOpen::Preferences::PartDrafting::SetDisplayBorders ( bool  displayBorders)

Sets the flag indicating whether to display borders around drafting views, when selected
Created in NX3.0.0.



License requirements : None

Parameters
displayBordersdisplay borders
void NXOpen::Preferences::PartDrafting::SetEnableSmoothEdgesForLWView ( bool  enableSmoothEdges)

Sets the flat indicating whether the smart lightweight views should show the smooth edges or render them as normal curves
Created in NX8.5.0.



License requirements : None

Parameters
enableSmoothEdgesenablesmoothedges
void NXOpen::Preferences::PartDrafting::SetFont ( NXOpen::Preferences::PartDrafting::FontType  font)

Sets the line font of the retained NXOpen::Annotations::Annotation objects
Created in NX3.0.0.



License requirements : None

Parameters
fontfont
void NXOpen::Preferences::PartDrafting::SetFrameBarPrecision ( int  precision)

Sets the frame bar precision.


Created in NX8.0.0.

License requirements : None

Parameters
precisionprecision
void NXOpen::Preferences::PartDrafting::SetFrameBarTicDirection ( int  ticDirection)

Sets the frame bar tic direction.


Created in NX8.0.0.

License requirements : None

Parameters
ticDirectionticdirection
void NXOpen::Preferences::PartDrafting::SetInitialSecondaryNumber ( const NXString initialSecondaryNumber)

Sets the initial secondary number
Created in NX8.0.0.



License requirements : None

Parameters
initialSecondaryNumberinitialsecondarynumber
void NXOpen::Preferences::PartDrafting::SetInitialSecondaryNumber ( const char *  initialSecondaryNumber)

Sets the initial secondary number
Created in NX8.0.0.



License requirements : None

Parameters
initialSecondaryNumberinitialsecondarynumber
void NXOpen::Preferences::PartDrafting::SetInitialSheetNumber ( const NXString initialSheetNumber)

Sets the initial sheet number
Created in NX8.0.0.



License requirements : None

Parameters
initialSheetNumberinitialsheetnumber
void NXOpen::Preferences::PartDrafting::SetInitialSheetNumber ( const char *  initialSheetNumber)

Sets the initial sheet number
Created in NX8.0.0.



License requirements : None

Parameters
initialSheetNumberinitialsheetnumber
void NXOpen::Preferences::PartDrafting::SetLineAntialiasing ( bool  lineAntialiasing)

Sets the flag indicating whether to display drawing using line antialiasing.


Created in NX5.0.1.

License requirements : None

Parameters
lineAntialiasingline antialiasing
void NXOpen::Preferences::PartDrafting::SetMinimumComponentsForLargeAssemblyOption ( int  minComponents)

Sets the minimum number of components for large assembly option to get enabled
Created in NX8.5.0.



License requirements : None

Parameters
minComponentsMinimum number of components for large assembly option
void NXOpen::Preferences::PartDrafting::SetPropagateBreakLines ( bool  doesPropagate)

Sets the propagation of view break.


Created in NX7.5.0.

License requirements : None

Parameters
doesPropagatedoespropagate
void NXOpen::Preferences::PartDrafting::SetRetainAnnotations ( bool  retainAnnotations)

Sets the flag indicating whether to retain NXOpen::Annotations::Annotation objects when the geometry they are attached to is deleted.

When false, the NXOpen::Annotations::Annotation objects get deleted with the geometry.
Created in NX3.0.0.

License requirements : None

Parameters
retainAnnotationsretain annotations
void NXOpen::Preferences::PartDrafting::SetShowFacetEdges ( bool  showFacetEdges)

Sets the flag indicating whether to display facet edges in shaded member views.


Created in NX5.0.1.

License requirements : None

Parameters
showFacetEdgesshow facet edges
void NXOpen::Preferences::PartDrafting::SetTranslucency ( bool  translucency)

Sets the flag indicating whether to display solids in shaded member views with translucency.


Created in NX5.0.1.

License requirements : None

Parameters
translucencytranslucency
void NXOpen::Preferences::PartDrafting::SetUpdateViewWithoutLwData ( NXOpen::Preferences::PartDrafting::UpdateViewWithoutLwDataOption  updateViewWithoutLWDataOption)

Sets the option specifying the action when missing, incomplete or invalid lightweight bodies are found during view create or update
Created in NX8.5.0.



License requirements : None

Parameters
updateViewWithoutLWDataOptionupdateviewwithoutlwdataoption
void NXOpen::Preferences::PartDrafting::SetVersionObjects ( bool  versonObjects)

Sets the drafting version objects setting when updating drafting objects and member views
Created in NX4.0.0.



License requirements : None

Parameters
versonObjectsverson objects
void NXOpen::Preferences::PartDrafting::SetViewStyle ( NXOpen::Preferences::PartDrafting::ViewStyleType  viewStyle)

Sets the drafting view style type for preview when placing the view
Created in NX3.0.0.



License requirements : None

Parameters
viewStyleview style
void NXOpen::Preferences::PartDrafting::SetViewTracking ( bool  viewTracking)

Sets the flag indicating whether to track a drafting view during preview when placing the view.

The cursor is tracked using XC/YC coordinates.
Created in NX3.0.0.

License requirements : None

Parameters
viewTrackingview tracking
void NXOpen::Preferences::PartDrafting::SetWidth ( NXOpen::Preferences::PartDrafting::WidthType  width)

Sets the line width of the retained NXOpen::Annotations::Annotation objects
Created in NX3.0.0.



License requirements : None

Parameters
widthwidth
bool NXOpen::Preferences::PartDrafting::ShowFacetEdges ( )

Returns the flag indicating whether to display facet edges in shaded member views.


Created in NX5.0.1.

License requirements : None

tag_t NXOpen::Preferences::PartDrafting::Tag ( ) const

Returns the tag of this object.

bool NXOpen::Preferences::PartDrafting::Translucency ( )

Returns the flag indicating whether to display solids in shaded member views with translucency.


Created in NX5.0.1.

License requirements : None

NXOpen::Preferences::PartDrafting::UpdateViewWithoutLwDataOption NXOpen::Preferences::PartDrafting::UpdateViewWithoutLwData ( )

Returns the option specifying the action when missing, incomplete or invalid lightweight bodies are found during view create or update
Created in NX8.5.0.



License requirements : None

bool NXOpen::Preferences::PartDrafting::VersionObjects ( )

Returns the drafting version objects setting when updating drafting objects and member views
Created in NX4.0.0.



License requirements : None

NXOpen::Preferences::PartDrafting::ViewStyleType NXOpen::Preferences::PartDrafting::ViewStyle ( )

Returns the drafting view style type for preview when placing the view
Created in NX3.0.0.



License requirements : None

bool NXOpen::Preferences::PartDrafting::ViewTracking ( )

Returns the flag indicating whether to track a drafting view during preview when placing the view.

The cursor is tracked using XC/YC coordinates.
Created in NX3.0.0.

License requirements : None

NXOpen::Preferences::PartDrafting::WidthType NXOpen::Preferences::PartDrafting::Width ( )

Returns the line width of the retained NXOpen::Annotations::Annotation objects
Created in NX3.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.